---
id: user-read
title: "Read a user"
description: "Read a user by ID."
sidebar_label: "Read a user"
hide_title: true
hide_table_of_contents: true
api: eJzdV21v2zgM/isCP22Am6Zv98HAAdfbdne9D8PQtdiArigYi7G1yZInyVmzwP/9QMlJnMZdh+FegPviOBZFPqQeUuQKJPnCqSYoayCHS0IpULSenJgtxcXLCWRgG3LIAhcScuC13BFKyCBg6SG/gWtPDm4z8FS0ToUl5DcrmBE6cudtqCC/ue1uM2jQYU2BnI8Cii02GCrIwGBNkINirb6oqEbIVxCWDX/1wSlTQpeBo8+tciQhD66l7AH6q4rExUth5yJUlJxY2lZ8QRNEsKKkIJSZW1dHbwTObBsmwMgc+cYaT56tHk+n/LOvexMI8QW98G1RkPfzVnOQCmsCmcAbsWm0KqLg4UfPu1f7PtnZRyoCDF26Se4bZyADqlFpyGCunA93MTwZaNy+W1eiUV+jmTslOfyNY4RBJTeUHJhTJlBJDp4OGTtD91g3miA/Oj45PfupW8MZjUpceqhh9+QGGgE13U/q0v1SuGUT7IEyxaSwNZ/uwNdRS3Fd8PpT5kyrNc7YXuLJ1vy5pnu2tQ3lqCle/i5LW80vLe1Z7vbPaZxZA6GR89g7xJ0D6jLwAUPrx3Wntb0jNm3NlMMiqAUDV2bz2pCRyTtlFipQJNc3TjTt6zLABQZ04zDS2o8fXBVC4/PDw3p5kFQdtE6vmZPUjJnllcd8b8hxemZQY1EpQ992s5fuYp4tlKTHHG1DRSb0FUCshZ8kUg+qsKVRwXIdxFozpMdjspbtUtUYhfP68vX3c3jIw5+Pjk9Ysycj7xIR9i28qyhU5Li8spxAI5JoXxaCHbM8s1YTmliN5tjqsOdanzw1BZQYcNy19eoj/m1K7EbrCj7REnJYoG4Juo6Zo0L0nPde9rcAr3QZnL5/v2/3hVZkgiDnrBOba0PIlthXZRaolRTKNG0Q1olaea9MKbZX3992WaS8fmElp2zEw0wm77Gk/dtgIP30rfDH1dWbdd0orCThqHHkmdWmjKH2DRVqrgpRDOPxjCblJBOn0yk/jvhxwo/T5zu3yul02nEQdrBs2LgL5Vz0yXnAPQenQW8r4goVBlFgoNI69ZV8wkZuQU7MUenW0Y5lmKG84yCSD8ztFLbvADFziuaZqNoazRbJQGrNwQQuVp0+Gh/gV5TiMhn9APzh2nCRiJDlB9gNzlAauu2JPg1SSsWvqIWkgEr71OFsYe3a4QzqQxH7mRo190YkRYyuCagMyQ2lhwzuupQhZ2MZ8jaF/2GGKCMjz00Zi4T3LQlrIrjzNxfCK0n/s9Tww0D0ZDjj1DibHvPjZPfgz/67rGBnnUF9l4TuUsj+tfy46M2LnjqvWCZlCn9RBYlrgwtU8RrcS5jR7f9o6pwb0Rq6b6gIJHuXbFG0zpGciDea0JMIbimwRGWExsAXU7dOm5pCZXmWKomZG0egHA75CjpcKdnx3R9dSXNS6/Sg/8FGTbgjaDQGztfUAg2Gr7ecIonZwxFsEwNWtJ6yYkmMQpD1L7/F+Qhy+PPdFTBaHpl4O+NJ4TqaTCdT2N6drwdwOJljj2R9qDHmbD/bDWbLhwew2qb9+AjaQw90Hw4bjSq2YTEuqz58N9ArztMsVFkf+OtqNUNP1053HX/+3JLj8fQ2gwU6ldqqmxVI5fldQj5H7R9OlkN8zy77QvNc/Ni8+Yg3/Uc0S8j6BiUHyPqORUnobrsMKsLYeN6sW5nzoqAmDLbsVU3mxoZxv7+6ggxwlxEPGBC1j8JZrZLElf1Epus26AL/Z4Bd9xc4s5oi
sidebar_class_name: "get api-method"
info_path: docs/api/nullplatform-api
custom_edit_url: null
---

import MethodEndpoint from "@theme/ApiExplorer/MethodEndpoint";
import ParamsDetails from "@theme/ParamsDetails";
import RequestSchema from "@theme/RequestSchema";
import StatusCodes from "@theme/StatusCodes";
import OperationTabs from "@theme/OperationTabs";
import TabItem from "@theme/TabItem";
import Heading from "@theme/Heading";

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Read a user"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/user/{id}"}
  context={"endpoint"}
>
  
</MethodEndpoint>



Read a user by ID.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"in":"path","name":"id","schema":{"type":"string"},"required":true,"description":"The ID of the user you want to get information about."}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"description":"The operation was successful.","content":{"application/json":{"schema":{"type":"object","required":["id","nrn","email","first_name","last_name","organization_id"],"properties":{"id":{"type":"integer","description":"The ID of the user.","example":123456},"email":{"description":"The email of the user.","type":"string","example":"alex.mgr@crypto-inc.com"},"first_name":{"description":"The first name of the user.","type":"string","nullable":true,"example":"Alex"},"last_name":{"description":"The last name of the user.","type":"string","example":"Doe","nullable":true},"organization_id":{"description":"The organization ID of the user.","type":"integer","example":1234},"status":{"description":"The status of the user.","enum":["active","inactive","pending","invited"],"type":"string","example":"active"},"avatar":{"description":"The avatar of the user.","type":"string","nullable":true,"example":"https://my-avatar-url.com"},"type":{"description":"The type of the user.","enum":["person","machine"],"type":"string","example":"person"},"provider":{"description":"The authentication provider of the user.","type":"string","enum":["cognito","saml"],"nullable":true,"example":"cognito"},"nrn":{"description":"The NRN of the user.","type":"string","example":"organization=123"},"send_invite":{"description":"Whether to send an invite email to the user.","type":"boolean","default":true,"example":true},"metadata":{"description":"The metadata of the user.","type":"object","example":{"key":"value"}}},"title":"userResponse"}}}},"4XX":{"description":"Client error responses due to invalid input or missing parameters.","content":{"application/json":{"schema":{"type":"object","required":["statusCode","error","message"],"properties":{"statusCode":{"type":"integer","description":"HTTP status code representing the specific client error (e.g., 400, 401, 403, 404).","example":400},"code":{"type":"string","description":"A machine-readable error code that categorizes the server failure.","example":"bad_request"},"error":{"type":"string","description":"A brief, human-readable description of the error type (e.g., \"Bad Request\", \"Unauthorized\").","example":"Bad Request"},"message":{"type":"string","description":"Additional details about the error.","example":"The request was malformed or contained invalid parameters."}}}}}},"5XX":{"description":"Server error responses indicating an issue on the API side.","content":{"application/json":{"schema":{"type":"object","required":["statusCode","error","message"],"properties":{"statusCode":{"type":"integer","description":"HTTP status code representing the specific server error (e.g., 500, 502, 503).","example":500},"code":{"type":"string","description":"A machine-readable error code that categorizes the server failure.","example":"internal_server_error"},"error":{"type":"string","description":"A brief, human-readable description of the error type (e.g., \"Internal Server Error\", \"Service Unavailable\").","example":"Internal Server Error"},"message":{"type":"string","description":"Additional details about the error.","example":"An unexpected error occurred. Please try again later."}}}}}}}}
>
  
</StatusCodes>


      